{
    onTryBoost(boost, target, source, effect) {
        if (source && target === source)
            return;
        if (boost.def && boost.def < 0) {
            delete boost.def;
            if (!effect.secondaries && effect.id !== "octolock") {
                this.add("-fail", target, "unboost", "Defense", "[from] ability: Big Pecks", "[of] " + target);
            }
        }
    },
    onAnyModifyBoost(boosts, pokemon) {
        const bigpecksUser = this.effectState.target;
        if (bigpecksUser === pokemon) return;
        if (pokemon === this.activePokemon && bigpecksUser === this.activeTarget) {
            boosts['atk'] = 0;
        }
    },
    flags: { breakable: 1 },
    name: "Big Pecks",
    rating: 0.5,
    num: 145
}
